#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.9
visibility:           public
id:                   foldl-1.4.9-Db1p5ioZ0KQIJ2M1a48Efm
key:                  foldl-1.4.9-Db1p5ioZ0KQIJ2M1a48Efm
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  9644cf5229e317e7b2eade06dda50acc
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.9
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.9
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.9
hs-libraries:         HSfoldl-1.4.9-Db1p5ioZ0KQIJ2M1a48Efm
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-4D6za4SJfPLAfRbRiHlWCo containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-9tpTdzPdswvKC0QIZR69Y8
    mwc-random-0.15.0.1-EbQXUaXAawH6jvmPVInGqz
    primitive-0.7.1.0-6U9mGp154ErGsqqRyLNYyC
    profunctors-5.5.2-GWxnqFfQ55HxWb10mfvfh
    semigroupoids-5.3.4-FoHyztuJBEk902i6Ty71Zw text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-KkafibQ6xVADBmu5FlpAf0
    vector-0.12.1.2-3tvt8fo7Juj3zpRn38O867

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

